
import 'package:flutter/material.dart';
import 'package:twong/utils/i18n.dart';
import 'package:twong/widgets/app_bar.dart';
import 'package:twong/widgets/fsuper.dart';

class CashRecordPage extends StatefulWidget {
  @override
  State<StatefulWidget> createState() {
    return _CashRecordState();
  }
}

class _CashRecordState extends State<CashRecordPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: DAppBar("提现记录"),
      body: SafeArea(
        child: ListView(
          physics: ClampingScrollPhysics(),
          children: [
            FSuper(
              width: 280,
              height: 45,
              text: 'Search Flight',
              textAlignment: Alignment.center,
              corner: FCorner.all(23),
              gradient: LinearGradient(colors: [
                Color(0xfffed83a),
                Color(0xfffcad2c),
              ]),
            ),FSuper(
              text: 'Overview',
              backgroundColor: Colors.white,
              padding: EdgeInsets.fromLTRB(6.0 + 18.0 + 6.0, 9, 9, 9),
              corner: FCorner(rightTopCorner: 20, rightBottomCorner: 20),
              child1: Icon(
                Icons.subject,
                size: 18,
                color: Color(0xffa6a4a7),
              ),
              child1Alignment: Alignment.centerLeft,
              child1Margin: EdgeInsets.only(left: 3),
              shadowColor: Colors.black38,
              shadowBlur: 10,
              onClick: () {},
              margin: EdgeInsets.only(top: 12),
            ),Container(
              margin: EdgeInsets.only(top: 12),
              child: Row(
                children: [
                  FSuper(
                    width: 60,
                    height: 60,
                    backgroundColor: Color(0xffeeeeee),
                    corner: FCorner.all(6),
                    redPoint: true,
                    redPointText: "1",
                  ),
                  FSuper(
                    width: 60,
                    redPoint: true,
                    redPointText: "红包",
                    redPointOffset: Offset(0, 13),
                    child1: Icon(Icons.shop, size: 32),
                  ),
                  Expanded(child: Container(height: 60, color: Colors.transparent))
                ],
              ),
            ),FSuper(
              width: double.infinity,
              padding: EdgeInsets.fromLTRB(
                  (16.0 + 25.0 + 12), 8, (0.0 + 8.0), 8),
              margin: EdgeInsets.fromLTRB(10, 10, 10, 0),
              corner: FCorner.all(6),
              backgroundColor: Color(0xfffff0e7),
              strokeColor: Color(0xfffee0cd),
              strokeWidth: 1,
              text: '警告提示的文案',
              textAlignment: Alignment.centerLeft,
              textAlign: TextAlign.left,
              spans: [
                TextSpan(text: "这是警告内容")
              ],
              child1: Transform.rotate(
                angle: 0,
                child: Icon(
                  Icons.info,
                  size: 25,
                  color: Color(0xfffd6721),
                ),
              ),
              child1Alignment: Alignment.centerLeft,
              child1Margin: EdgeInsets.fromLTRB(16, 0, 0, 0),
              child2: Icon(
                Icons.close,
                size: 15,
                color: Colors.black38,
              ),
              child2Alignment: Alignment.topRight,
              child2Margin: EdgeInsets.fromLTRB(0, 8, 12, 0),
              onChild2Click: () {
              },
            ),FSuper(
              margin: EdgeInsets.only(top: 12),
              /// 开启 Neumorphism 支持
              ///
              /// Turn on Neumorphism support
              isSupportNeumorphism: true,

              /// 配置光源方向
              ///
              /// Configure light source direction

              /// 配置暗部阴影
              ///
              /// Configure dark shadows
              shadowColor: Colors.black87,

              /// 配置亮部阴影
              ///
              /// Configure highlight shadow
              highlightShadowColor: Colors.white24,

              /// 是否呈浮起视效
              ///
              /// Whether it is floating visual effect
              float: false,
              shadowOffset: Offset(0.0, 1.0),
              width: 50,
              height: 50,
              backgroundColor: Color(0xff28292f),
              corner: FCorner.all(40),
              child1: Icon(
                Icons.star,
                color: Color(0xfffff176),
                size: 23,
              ),
            ),
            FSuper(
              text: I18n.$,
              style: TextStyle(fontSize: 12, color: Colors.white),
              spans: [
                TextSpan(text: "998", style: TextStyle(color: Colors.red, fontSize: 14)),
                TextSpan(text: " 带回家", style: TextStyle(fontSize: 14)),
              ],
              corner: FCorner.all(2),
              cornerStyle: FCornerStyle.bevel,
              margin: EdgeInsets.only(top: 12),
              backgroundColor: Color.fromRGBO(122, 122, 122, 0.5),
              padding: EdgeInsets.all(4),
            )
          ],
        ),
      ),
    );
  }
}